IpAddress (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.IpAddress interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface IpAddress

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  IpV4Address, IpV6Address

    public interface IpAddress

extends LogicalElement

IP address

Naming Rules:
  0="-addressSpace,dotNotation" 1="addressSpace,dotNotation"
Persistable:
  true
Table Name:
  IPADDR
Display Name:
  dotNotation

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAddressSpace()`
`java.lang.String` | `getDotNotation()`
`Fqdn[]` | `getFqdns()`
`boolean` | `hasAddressSpace()`
`boolean` | `hasDotNotation()`
`boolean` | `hasFqdns()`
`void` | `setAddressSpace(java.lang.String space)`
`void` | `setDotNotation(java.lang.String dottedString)`
`void` | `setFqdns(Fqdn[] fqdns)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getAddressSpace

    java.lang.String getAddressSpace()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAddressSpace

    void setAddressSpace(java.lang.String space)

### hasAddressSpace

    boolean hasAddressSpace()

### getDotNotation

    java.lang.String getDotNotation()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDotNotation

    void setDotNotation(java.lang.String dottedString)

### hasDotNotation

    boolean hasDotNotation()

### getFqdns

    Fqdn[] getFqdns()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="true"

### setFqdns

    void setFqdns(Fqdn[] fqdns)

### hasFqdns

    boolean hasFqdns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD